%define _libexecdir /usr/libexec
%define realname mu-conference

Name: jabberd2-muc
Version: 0.6.0
Release: alt2

Summary: MU-Conference service for Jabberd2 (using JCR)
Group: System/Servers
License: GPL
Url: http://mu-conference.jabberstudio.org/
Packager: Andrei Bulava <abulava@altlinux.ru>

#Source: http://jabberstudio.org/projects/mu-conference/releases/download.php?file=%realname-%version.tar.gz
Source: %realname-%version.tar.gz
Source1: 07muc.cfg
Source2: muc.xml
Source3: jabberd2-muc.init
Patch1: mu-conference-0.6.0-alt-config_room_defaults.patch

BuildPreReq: jcr-source

PreReq: jabberd2

# Automatically added by buildreq on Mon Aug 29 2005
BuildRequires: glib2-devel jcr-source pkgconfig

%description
Jabberd2 MultiUser Conference service (MUC).

%prep
%setup -q -n %realname-%version
%patch1 -p1
%__tar -xjf %_usrsrc/jcr.tar.bz2 -C .

%__mkdir jcr/%realname
%__cp -pR {src,include} jcr/%realname
%__cp -p jcr/src/{main.c,jcomp.mk} jcr/%realname/src

%build
pushd jcr
%make
popd

pushd jcr/%realname/src
%make -f jcomp.mk
popd

%install 
%__mkdir_p %buildroot%_libexecdir/jabberd2/
%__cp jcr/%realname/src/%realname %buildroot%_libexecdir/jabberd2/

pushd %buildroot%_libexecdir/jabberd2/
%__ln_s %realname muc
popd

%__mkdir_p %buildroot%_sysconfdir/jabberd2/cfg.d/
%__install -p -m644 %SOURCE1 %buildroot%_sysconfdir/jabberd2/cfg.d/
%__install -p -m644 %SOURCE2 %buildroot%_sysconfdir/jabberd2/

%__mkdir_p %buildroot%_initdir
%__install -p -m755 %SOURCE3 %buildroot%_initdir/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%doc ChangeLog README AUTHORS FAQ README.jcr COPYING
%attr(0640,root,jabberd2) %config(noreplace) %_sysconfdir/jabberd2/muc.xml
%attr(0640,root,jabberd2) %config(noreplace) %_sysconfdir/jabberd2/cfg.d/*
%_libexecdir/jabberd2/*
%_initdir/%name

%changelog
* Thu Dec 29 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.0-alt2
- added config_room_defaults.patch, which introduced an incompatibility with
  the official version to implement the long standing feature request 
  http://jabberstudio.org/projects/mu-conference/features/view.php?id=3107
  regarding corporate configuration options (see example config for details)
- fixed permissions and ownership of configuration files

* Thu Dec 15 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.0-alt1
- initial build for ALT Linux (thanks to Pavel Boldin <bp@> for good starting
  points)

